%if 0%{?fedora}
%global with_python3 0
%endif

# Define modern python2 macros for el6.
%if 0%{?rhel} && 0%{?rhel} <= 6
%{!?__python2:        %global __python2 /usr/bin/python2}
%{!?python2_sitelib:  %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %global python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}
%endif


Name:       cloudtoserver
Version:    0.1
Release:    1%{?dist}
Summary:    Tool to convert Fedora Cloud instance to Fedora Server instance

Group:      Development/Tools
License:    GPLv2+
URL:        http://github.com/fedora-cloud/cloudtoserver
Source0:    http://kushal.fedorapeople.org/%{name}-%{version}.tar.gz

BuildArch:  noarch

BuildRequires:  python2-devel
BuildRequires:  python-setuptools

%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif

Requires:   python
Requires:   python-setuptools

%description
Tool to convert a running Fedora Cloud instance to a Fedora Server instance.

%prep
%setup -q

# Remove bundled egg-info just in case it is included.
rm -rf *.egg*

%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif



%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd
%endif

# Note that this have to come after the py3 block so that the
# _bindir/python3-ansi2html switch-a-roo can work.
%{__python2} setup.py install --skip-build --root=%{buildroot}
mkdir -p  %{buildroot}/%{_mandir}/man8/
install -m644 %{name}.8 %{buildroot}/%{_mandir}/man8/
rm -rf %{buildroot}/%{python2_sitelib}/%{name}*


%files
%doc LICENSE README.rst
%{_bindir}/cloudtoserver
%{_mandir}/man8/%{name}.8*



%changelog
* Tue Oct 14 2014 Kushal Das <kushal@fedorapeople.org> - 0.1-1
- Initial package
